Confirm an Invoice
curl --request POST \
--url https://{host}/cleemy-procurement/api/invoices/{id}/confirmations \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"strategy": "<string>"
}
'import requests
url = "https://{host}/cleemy-procurement/api/invoices/{id}/confirmations"
payload = { "strategy": "<string>" }
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({strategy: '<string>'})
};
fetch('https://{host}/cleemy-procurement/api/invoices/{id}/confirmations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"strategy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"author": {
"id": 123,
"href": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"pictureHref": "<string>"
}
}Invoices
Confirm an Invoice
Confirm (approve) an invoice.
POST
/
cleemy-procurement
/
api
/
invoices
/
{id}
/
confirmations
Confirm an Invoice
Headers
API key. Value must be formatted like so: lucca application={api_key}.
Path Parameters
ID of the invoice.
Body
application/json
Confirmation to create.
Body for creating a confirmation.
Confirmation strategy to use. Retrieve available strategies via the confirmation-strategies endpoint.
Was this page helpful?
⌘I